%define section	free

Name:		kilim
Version:	2.0.32
Release:	2jpp
Epoch:		0
Summary:	A generic configuration framework for Java
License:	BSD
URL:		http://kilim.objectweb.org/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.us.forge.objectweb.org/kilim2/kilim_2_0_32-src.tar.gz
Requires:	jaxp_parser_impl
Requires:	log4j
Requires:	mx4j
BuildRequires:	ant
BuildRequires:	jaxp_parser_impl
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	log4j
BuildRequires:	monolog
BuildRequires:  mx4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kilim is a generic configuration framework for Java, which can be used
easily with existing applications, frameworks, and systems. It was
originally built into Jonathan in order to allow fine configuration of
its various frameworks (protocols, resource management policies, etc.)
without requiring specific code, and has since grown independently of
Jonathan.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n Kilim2
find . -name "*.jar" -exec rm -f {} \;
find . -type d -name "CVS" | xargs rm -rf

%build
export CLASSPATH=$(build-classpath jaxp_parser_impl log4j monolog/ow_util_log_api monolog/ow_util_log_wrp_log4j mx4j/mx4j-jmx)
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/kilim2.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:2.0.32-2jpp
- don't own %%{_javadir}
- get rid of %%{_javadir}/%%{name} directory

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:2.0.32-1jpp
- release
